"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var slate_kit_utils_register_helpers_1 = tslib_1.__importDefault(require("@vericus/slate-kit-utils-register-helpers"));
var slate_kit_highlight_text_renderer_1 = tslib_1.__importDefault(require("@vericus/slate-kit-highlight-text-renderer"));
var options_1 = tslib_1.__importDefault(require("./options"));
var props_1 = tslib_1.__importDefault(require("./props"));
var commands_1 = tslib_1.__importDefault(require("./commands"));
var queries_1 = tslib_1.__importDefault(require("./queries"));
function createPlugin(pluginOptions) {
    if (pluginOptions === void 0) { pluginOptions = {}; }
    var options = options_1.default.create(pluginOptions);
    var marks = options.marks;
    var commands = commands_1.default(options);
    var queries = queries_1.default(options);
    var props = props_1.default(options);
    var plugins = [
        slate_kit_utils_register_helpers_1.default({
            options: options,
            marks: marks,
            props: props
        }),
        {
            commands: commands,
            queries: queries
        }
    ];
    if (!options.externalRenderer) {
        plugins = tslib_1.__spread(plugins, [tslib_1.__assign({}, slate_kit_highlight_text_renderer_1.default(marks))]);
    }
    return plugins;
}
exports.default = createPlugin;
//# sourceMappingURL=index.js.map